/*
   winglk_startup.c: Windows-specific code for the Glk port of Dungeon.

   This calls a few Windows specific options, and opens a Glk stream to
   the data file, which is stored as a resource (an idea taken from
   Andrew Plotkin's MacGlk version).
*/

#include "Glk.h"
#include "WinGlk.h"

extern strid_t datafile; /* Defined in commons.c */

int winglk_startup_code(const char* cmdline)
{
  winglk_app_set_name("Dungeon");
  glk_stylehint_set(wintype_TextGrid,style_Normal,stylehint_ReverseColor,1);

  datafile = winglk_stream_open_resource("DUNDAT","DATA",0);
  return 1;
}
